Автор Тема: Обновление Simply Linux с p10 на p11 снесло систему  (Прочитано 2129 раз)

Оффлайн Boboms

  • Давно тут
  • **
  • Сообщений: 74
И apt-get --fix-broken не решает проблемы с зависимостью. aptitude просто -> abort...

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 303
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Мне помог на последнем этапе Downgrade , но я от Сизифа шёл.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 303
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
И главное нельзя забывать про приоритет

Для перехода с p10 на p11 недостаточно просто сменить источники. apt-repo делает всё необходимое: помимо смены источников, создаётся файл /etc/rpm/macros.d/priority_distbranch следующего содержимого:
%_priority_distbranch p11
« Последнее редактирование: 01.06.2024 19:51:01 от ruslandh »

Оффлайн Boboms

  • Давно тут
  • **
  • Сообщений: 74
Не могу сформулировать каким образом, но с помощью то apt-get, то aptitude удалось, наконец, установить xfce4-default и восстановить работу Иксов. Много пакетов снёс dedup. Есть ли мета-пакеты для Simply, чтобы быстро можно было восстановить систему?

Оффлайн ASte

  • Мастер
  • ***
  • Сообщений: 1 557
Вообще для таких обновлений хорошо иметь систему на btrfs и сохранять перед обновлением snapshot для быстрого отката если что-то пошло нет так.

Оффлайн Boboms

  • Давно тут
  • **
  • Сообщений: 74
По ощущениям - p11 - сыроват еще, firefox упал, "стабильно" падает easyeffects, p10 более вылизанный (хотя easyeffects там падал тоже)

Оффлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 2 787
  • Дмитрий/Dmitry/德米特里/दिमित्री
По ощущениям - p11 - сыроват еще, firefox упал,
Так, p11 на данный момент - это "срез" Сизифа - т.е. нестабильного репозитория, предназначенного прежде-всего для разработки и тестирования. Там вполне могут быть пакеты с багами (в том числе и незарегистрированными).
Если Вы хотите стабильности, то на данный момент на p11 переходить не надо. Если же Вы желаете побывать в "шкуре" тестировщика, то вполне можно перейти. Но сообщать о багах необходимо будет в первую очередь в Багзиллу, прикладывать логи, а только затем сообщать о обнаруженных багах и недочётах сюда - на форум. ;-)

Оффлайн Boboms

  • Давно тут
  • **
  • Сообщений: 74
В p10 easyeffects - глючный, но никто не собирается его чинить. Перешёл на p11 с надеждой, что проблема уйдёт. Как бы ни так!

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 303
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
В p10 easyeffects - глючный, но никто не собирается его чинить. Перешёл на p11 с надеждой, что проблема уйдёт. Как бы ни так!
Надо вешать баги.

Оффлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 2 787
  • Дмитрий/Dmitry/德米特里/दिमित्री

Оффлайн Boboms

  • Давно тут
  • **
  • Сообщений: 74

Оффлайн Boboms

  • Давно тут
  • **
  • Сообщений: 74
Дорогие товарищи, ну всё же, есть ли мета-пакеты для Simply?

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 303
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Не уверен, что есть. Это надо самому взглянуть на состав Симпли.
« Последнее редактирование: 07.06.2024 05:56:16 от ruslandh »

Оффлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 2 787
  • Дмитрий/Dmitry/德米特里/दिमित्री
Да
Перешёл на p11 с надеждой, что проблема уйдёт. Как бы ни так!
Так сообщите в Багзиллу, что проблема не только с p10.
« Последнее редактирование: 07.06.2024 13:29:12 от gosts 87 »

Оффлайн Boboms

  • Давно тут
  • **
  • Сообщений: 74
Странные вещи происходят. Доустановил нужные пакеты, обновил до актуального "среза" - Яндекс музыка работает уже часов 20 без сбоев. Вроде easyeffects не особо падает тоже. В первом приближении можно использовать. Доустанавливал NetworkManager - сеть приходилось вручную запускать.

Жалко, что у Симпли нет нескольких мета-пакетов чтобы быстро восстановить в случае чего.

К сожалению, не могу написать выполненные действия - то apt-get, то aptitude, методом научного тыка.

apt-get, к сожалению, не разруливает зависимости с "broken" пакетами - пришлость aptitude-ть..